Orishare
API reference
GET
/customers/{id}/social_profile

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string

The customer's id (cust_) or your external id for them

Length1 <= length <= 255

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/customers/string/social_profile"
{  "customer_id": "string",  "display_name": "string",  "avatar_url": "string",  "visibility": "public",  "moderation": "ok",  "revision": -9007199254740991,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
POST
/customers/{id}/social_profile_moderations

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string

The customer's id (cust_) or your external id for them

Length1 <= length <= 255

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customers/string/social_profile_moderations" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "moderation": "hidden_by_operator"  }'
{  "customer_id": "string",  "display_name": "string",  "avatar_url": "string",  "visibility": "public",  "moderation": "ok",  "revision": -9007199254740991,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
GET
/customers/{id}/friends

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string

The customer's id (cust_) or your external id for them

Length1 <= length <= 255

Query Parameters

limit?integer
Range1 <= value <= 100
Default50
cursor?string
status?string
Default"accepted"

Value in

  • "accepted"
  • "incoming"
  • "outgoing"

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/customers/string/friends"
{  "data": [    {      "friend_code": "string",      "display_name": "string",      "avatar_url": "string",      "status": "accepted",      "requested_at": "2019-08-24T14:15:22Z",      "accepted_at": "2019-08-24T14:15:22Z",      "customer_id": "string"    }  ],  "next_cursor": "string",  "has_more": true}
GET
/customers/{id}/blocks

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string

The customer's id (cust_) or your external id for them

Length1 <= length <= 255

Query Parameters

limit?integer
Range1 <= value <= 100
Default50
cursor?string

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/customers/string/blocks"
{  "data": [    {      "customer_id": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string",  "has_more": true}
POST
/customers/{id}/friendships

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string

The customer's id (cust_) or your external id for them

Length1 <= length <= 255

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customers/string/friendships" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "other_customer_id": "cust_0192f0c0a0b07c3d8e9f0a1b2c3d4e5f",    "status": "accepted"  }'
{  "friendship": {    "friend_code": "string",    "display_name": "string",    "avatar_url": "string",    "status": "accepted",    "requested_at": "2019-08-24T14:15:22Z",    "accepted_at": "2019-08-24T14:15:22Z",    "customer_id": "string"  },  "replayed": true}
DELETE
/customers/{id}/friendships/{other}

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string

The customer's id (cust_) or your external id for them

Length1 <= length <= 255
other*string

The customer's id (cust_) or your external id for them

Length1 <= length <= 255

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/customers/string/friendships/string"
Empty